# Class: JqlClient

## JqlClient

## Constructor

#### new JqlClient(jiraClient)

Used to access Jira REST endpoints in '/rest/api/2/jql/autocompletedata'

##### Parameters:

Name | Type | Description
--- | --- | ---
`jiraClient` | JiraClient |

Source:
  - api/jql.js, line 5

### Methods

#### getAutoCompleteData(opts, callback)

Returns the auto complete data required for JQL searches.

##### Parameters:

Name | Type | Description
--- | --- | ---
`opts` |  | The options sent to the Jira API. Ignored by this function.
`callback` |  | Called when the autocomplete data is returned.

Source:
  - api/jql.js, line 14